## org.apache.hadoop.io
Interface Closeable

All Superinterfaces:
  Closeable

All Known Subinterfaces:
  ILocalAnalysis<K,V>, Mapper<K1,V1,K2,V2>, Reducer<K2,V2,K3,V3>

All Known Implementing Classes:
  ChainMapper, ChainReducer, DataJoinMapperBase, DataJoinReducerBase, DelegatingMapper, DistributedPentomino.PentMap, FieldSelectionMapReduce, IdentityLocalAnalysis, IdentityMapper, IdentityReducer, IndexUpdateCombiner, IndexUpdateMapper, IndexUpdateReducer, InverseMapper, JobBase, LineDocLocalAnalysis, LongSumReducer, MultiFileWordCount.MapClass, PiEstimator.PiMapper, PiEstimator.PiReducer, PipeCombiner, PipeMapper, PipeReducer, RegexMapper, SleepJob, TeraGen.SortGenMapper, TokenCountMapper, ValueAggregatorCombiner, ValueAggregatorJobBase, ValueAggregatorMapper, ValueAggregatorReducer

Deprecated. use java.io.Closeable

    @Deprecated
    public interface Closeable

extends Closeable

Method Summary

Methods inherited from interface java.io.Closeable
`close`

Copyright © 2009 The Apache Software Foundation